<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ipc__pipe__ep__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ipc_pipe_ep_config_t</compoundname>
    <includes local="no">cy_ipc_pipe.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ipc__pipe__ep__config__t_1a85b43b574d346e8711b0737fc317fa44" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ipc_pipe_ep_config_t::ipcNotifierNumber</definition>
        <argsstring />
        <name>ipcNotifierNumber</name>
        <briefdescription>
<para>Notifier. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="155" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="155" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__config__t_1a6c4e6bb126976ea855403085c664c973" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ipc_pipe_ep_config_t::ipcNotifierPriority</definition>
        <argsstring />
        <name>ipcNotifierPriority</name>
        <briefdescription>
<para>Notifier Priority. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="156" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__config__t_1a42676bbce63ebf43f3aa42791473b6e0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ipc_pipe_ep_config_t::ipcNotifierMuxNumber</definition>
        <argsstring />
        <name>ipcNotifierMuxNumber</name>
        <briefdescription>
<para>CM0+ interrupt multiplexer number. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="157" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="157" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__config__t_1a786ab9fcb46901b27cdb02942546fc2b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ipc_pipe_ep_config_t::epAddress</definition>
        <argsstring />
        <name>epAddress</name>
        <briefdescription>
<para>Index in the array of endpoint structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="159" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="159" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__config__t_1ab02225e6a333e91063e0a37a4f93a14c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ipc_pipe_ep_config_t::epConfig</definition>
        <argsstring />
        <name>epConfig</name>
        <briefdescription>
<para>Configuration mask, contains IPC channel, IPC interrupt number, and the interrupt mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="160" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="160" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The Pipe endpoint configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="162" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="153" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="154" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__config__t_1a786ab9fcb46901b27cdb02942546fc2b" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_config_t</scope><name>epAddress</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__config__t_1ab02225e6a333e91063e0a37a4f93a14c" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_config_t</scope><name>epConfig</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__config__t_1a42676bbce63ebf43f3aa42791473b6e0" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_config_t</scope><name>ipcNotifierMuxNumber</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__config__t_1a85b43b574d346e8711b0737fc317fa44" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_config_t</scope><name>ipcNotifierNumber</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__config__t_1a6c4e6bb126976ea855403085c664c973" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_config_t</scope><name>ipcNotifierPriority</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>